%define upstream_name    Term-Choose
%define upstream_version 1.064

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Works as L<Term::Choose>
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Term::ReadKey) >= 2.300.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::LineFold) >= 2012.40.0
BuildRequires: perl(Unicode::GCString) >= 2012.100.0
BuildArch:  noarch

%description
Choose from a list of elements.

Requires Perl Version 5.10.1 or greater.

Based on the _choose_ function from the the Term::Clui manpage module - for
more details see the /MOTIVATION manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README example
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.64.0-2.mga4
+ Revision: 537571
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.64.0-1.mga4
+ Revision: 487279
- update to 1.064

* Sun Sep 08 2013 sander85 <sander85> 1.61.0-1.mga4
+ Revision: 476112
- update to 1.061

* Sun Aug 25 2013 sander85 <sander85> 1.58.0-1.mga4
+ Revision: 471663
- update to 1.058

* Mon Aug 12 2013 sander85 <sander85> 1.57.0-1.mga4
+ Revision: 465711
- update to 1.057

* Wed Jun 26 2013 jquelin <jquelin> 1.55.0-1.mga4
+ Revision: 447104
- update to 1.055

* Mon Jun 10 2013 jquelin <jquelin> 1.51.0-1.mga4
+ Revision: 441778
- update to 1.051

* Sat Jun 01 2013 takashi <takashi> 1.48.0-2.mga4
+ Revision: 433958
- Upload to 1.048

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 373206
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.20.0-1.mga3
+ Revision: 342678
- update to 1.020

* Wed Nov 14 2012 jquelin <jquelin> 1.16.0-1.mga3
+ Revision: 317753
- update to 1.016

* Wed Nov 07 2012 jquelin <jquelin> 1.15.0-1.mga3
+ Revision: 315861
- update to 1.015

* Mon Oct 15 2012 jquelin <jquelin> 1.14.0-1.mga3
+ Revision: 306231
- update to 1.014

* Tue Oct 09 2012 jquelin <jquelin> 1.12.0-1.mga3
+ Revision: 303828
- imported package perl-Term-Choose


* Tue Oct 09 2012 cpan2dist 1.012-1mga
- initial mageia release, generated with cpan2dist
